### Method

# Ggit Repository list_tags_match

#### Declaration [src]

    gchar**
    ggit_repository_list_tags_match (
      GgitRepository* repository,
      const gchar* pattern,
      GError** error
    )

#### Description [src]

Fill a list with all the tags in the `repository` matching the provided pattern. The pattern can use standard fnmatch syntax.

#### Parameters

`pattern`

  Type: `const gchar*`

  A pattern to match.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `utf8`

A list with matching tags in `repository`.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.